%define major	2
%define libname	%mklibname seccomp %{major}
%define devname	%mklibname -d seccomp

Summary:	Enhanced seccomp library
Name:		libseccomp
Version:	2.5.1
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
Url:		https://github.com/seccomp/libseccomp
Source0:	https://github.com/seccomp/libseccomp/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gperf

%description
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes
Group:		System/Libraries

%description -n %{libname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{devname}
Summary:	Development files used to build applications with libseccomp support
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	seccomp-devel = %{version}-%{release}
Provides:	libseccomp-devel = %{version}-%{release}

%description -n	%{devname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
mkdir -p "%{buildroot}/%{_libdir}"
mkdir -p "%{buildroot}/%{_includedir}"
mkdir -p "%{buildroot}/%{_mandir}"
%make_install
rm -f "%{buildroot}/%{_libdir}/libseccomp.la"
rm -f "%{buildroot}/%{_libdir}/libseccomp.a"

%files -n %{libname}
%{_libdir}/libseccomp.so.%{major}{,.*}

%files -n %{devname}
%doc LICENSE CREDITS README.md
%{_bindir}/scmp_sys_resolver
%{_includedir}/seccomp.h
%{_includedir}/seccomp-syscalls.h
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_mandir}/man3/*
%{_mandir}/man1/*


%changelog
* Wed Dec 02 2020 luigiwalser <luigiwalser> 2.5.1-1.mga8
+ Revision: 1651769
- 2.5.1
- remove upstream patches

* Thu Aug 06 2020 luigiwalser <luigiwalser> 2.5.0-2.mga8
+ Revision: 1611383
- add patches from fedora to fix handling of notification fd (rhbz#1865802)

* Thu Jul 30 2020 luigiwalser <luigiwalser> 2.5.0-1.mga8
+ Revision: 1609939
- BR gperf
- remove requires on kernel
+ shlomif <shlomif>
- New version 2.5.0

* Sat Apr 18 2020 danf <danf> 2.4.3-1.mga8
+ Revision: 1569117
- Update to 2.4.3
- This re-adds __SNR_ppoll which broke packages like chrony

* Wed Mar 04 2020 pterjan <pterjan> 2.4.2-1.mga8
+ Revision: 1553838
- Update to 2.4.2

* Thu Feb 13 2020 umeabot <umeabot> 2.3.3-3.mga8
+ Revision: 1514408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.3.3-2.mga7
+ Revision: 1299136
- Mageia 7 Mass Rebuild

* Sat May 26 2018 wally <wally> 2.3.3-1.mga7
+ Revision: 1232313
- new version 2.3.3
- update URL

* Mon Mar 06 2017 luigiwalser <luigiwalser> 2.3.2-1.mga6
+ Revision: 1088914
- 2.3.2

* Fri Apr 15 2016 tv <tv> 2.3.0-2.mga6
+ Revision: 1001689
- provides libseccomp-devel

* Mon Apr 11 2016 tv <tv> 2.3.0-1.mga6
+ Revision: 1000337
- fix build
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.1.1-10.mga6
+ Revision: 955623
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 2.1.1-9.mga6
+ Revision: 887833
- from OpenMandriva


* Sun Jul 19 2015 Bernhard Rosenkraenzer <bero@bero.eu> 2.1.1-9
+ Revision: ec6ed11
- MassBuild#774: Increase release tag


